Debian Bug report logs - #584662
libdate-manip-perl: Behaviour of ambiguous timezones has changed

Package: libdate-manip-perl; Maintainer for libdate-manip-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdate-manip-perl is src:libdate-manip-perl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 17 Mar 2010 12:43:17 UTC

Severity: important

Tags: confirmed, jessie, patch, sid, squeeze, wheezy, wontfix

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=58159

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#574317; Package src:libdatetime-format-datemanip-perl. (Wed, 17 Mar 2010 12:43:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 17 Mar 2010 12:43:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libdatetime-format-datemanip-perl: FTBFS: tests failed
Date: Wed, 17 Mar 2010 13:38:22 +0100
Source: libdatetime-format-datemanip-perl
Version: 0.04-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100316 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-libdatetime-format-datemanip-perl_0.04-1-amd64-O7GgPy/libdatetime-format-datemanip-perl-0.04'
> /usr/bin/perl Build --makefile_env_macros 1 test
> t/00load.t ......... ok
> 
> #   Failed test 'Parse Date 'March 23, 2003''
> #   at t/01conversions.t line 67.
> #          got: '2003-03-22T08:00:00.000000000 EST
> # '
> #     expected: '2003-03-23T00:00:00.000000000 EST
> # '
> 
> #   Failed test 'Format Date '2003-03-23T00:00:00''
> #   at t/01conversions.t line 73.
> #          got: '2003032319:00:00'
> #     expected: '2003032303:00:00'
> 
> #   Failed test 'Format Date '2003-03-23T12:00:00''
> #   at t/01conversions.t line 73.
> #          got: '2003032407:00:00'
> #     expected: '2003032315:00:00'
> # Looks like you failed 3 tests of 6.
> t/01conversions.t .. 
> Dubious, test returned 3 (wstat 768, 0x300)
> Failed 3/6 subtests 
> 
> Test Summary Report
> -------------------
> t/01conversions.t (Wstat: 768 Tests: 6 Failed: 3)
>   Failed tests:  1, 3-4
> Failed 1/2 test programs. 3/7 subtests failed.
>   Non-zero exit status: 3
> Files=2, Tests=7,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.65 cusr  0.03 csys =  0.71 CPU)
> Result: FAIL
> make[1]: *** [test] Error 3

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/03/16/libdatetime-format-datemanip-perl_0.04-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#574317; Package src:libdatetime-format-datemanip-perl. (Wed, 17 Mar 2010 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 17 Mar 2010 18:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 574317@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 574317@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#574317: libdatetime-format-datemanip-perl: FTBFS: tests failed
Date: Wed, 17 Mar 2010 19:34:19 +0100
[Message part 1 (text/plain, inline)]
tag 574317 + confirmed
thanks

On Wed, 17 Mar 2010 13:38:22 +0100, Lucas Nussbaum wrote:

> During a rebuild of all packages in sid, your package failed to build on
> amd64.

Hey, I can reproduce it :)

And there are also loads of the same failures on cpantesters:
http://www.cpantesters.org/distro/D/DateTime-Format-DateManip.html#DateTime-Format-DateManip-0.04

(Preliminary findings: the shift by 16 hours in the first test
happens in lib/DateTime/Format/DateManip.pm's parse_datetime()
function in line 43:
        $dt->set_time_zone($dt_tz);
)         

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Elton John: Whitewash County
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 17 Mar 2010 18:36:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=55771'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 17:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#574317; Package src:libdatetime-format-datemanip-perl. (Sun, 28 Mar 2010 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 28 Mar 2010 13:30:03 GMT) Full text and rfc822 format available.

Message #19 received at 574317@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: 574317@bugs.debian.org
Subject: Ambiguous timezone in test
Date: Sun, 28 Mar 2010 14:23:35 +0100
It looks like this is actually to do with the recent update to Date::Manip's
timezone handling. Specifically, how it deals with ambiguous timezone
abbreviations. 

The test in t/01conversions.t uses the abbreviation "EST". However according
to [0], there are three different timezones all with the abbreviation "EST":

EST Eastern Summer Time     Australia       UTC + 11 hours
EST Eastern Standard Time   Australia       UTC + 10 hours
EST Eastern Standard Time   North America   UTC - 5 hours

It appears that the old version of Date::Manip used to pick the North
American "EST", whereas the new one is choosing the Australian Eastern
Summer Time. This gives us the 16 hour shift.

The following patch amends the test to use the timezone string "US/Eastern"
instead, removing the ambiguity:

Index: t/01conversions.t
===================================================================
--- t/01conversions.t   (revision 54833)
+++ t/01conversions.t   (working copy)
@@ -10,7 +10,7 @@
 my $dfdm = "DateTime::Format::DateManip";
 
 ## Set the timezone for Date::Manip and DateTime
-my $dm_tz = "EST";
+my $dm_tz = "US/Eastern";
 my $dt_tz = "US/Eastern";
 
 # Setup Date::Manip manually so we can force the TZ to beat a config
@@ -21,7 +21,7 @@
 my @dm_to_dt_tests = 
     (["March 23, 2003" =>
       DateTime->new(year => 2003, month => 3, day => 23, time_zone => $dt_tz) ],
-     ["March 23, 2003 12:00 EST" =>
+     ["March 23, 2003 12:00 US/Eastern" =>
       DateTime->new(year => 2003, month => 3, day => 23,
                    hour => 12,   time_zone => $dt_tz) ],
      );


[0] http://www.timeanddate.com/library/abbreviations/timezones/

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Mar 2010 15:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#574317; Package src:libdatetime-format-datemanip-perl. (Mon, 19 Apr 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #24 received at 574317@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Chris Butler <chrisb@debian.org>, 574317@bugs.debian.org
Subject: Re: Bug#574317: Ambiguous timezone in test
Date: Mon, 19 Apr 2010 23:11:11 +0300
[Message part 1 (text/plain, inline)]
-=| Chris Butler, Sun, Mar 28, 2010 at 02:23:35PM +0100 |=-
> It looks like this is actually to do with the recent update to Date::Manip's
> timezone handling. Specifically, how it deals with ambiguous timezone
> abbreviations. 
> 
> The test in t/01conversions.t uses the abbreviation "EST". However according
> to [0], there are three different timezones all with the abbreviation "EST":
> 
> EST Eastern Summer Time     Australia       UTC + 11 hours
> EST Eastern Standard Time   Australia       UTC + 10 hours
> EST Eastern Standard Time   North America   UTC - 5 hours
> 
> It appears that the old version of Date::Manip used to pick the North
> American "EST", whereas the new one is choosing the Australian Eastern
> Summer Time. This gives us the 16 hour shift.
> 
> The following patch amends the test to use the timezone string "US/Eastern"
> instead, removing the ambiguity:

Wouldn't it be better if EST is restored to mean North America? 
I guess (being neither American nor Australian) that that is more 
commonly used?

My concern with the change is that it would change EST interpretation 
in many places without any warning.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#574317; Package src:libdatetime-format-datemanip-perl. (Sat, 05 Jun 2010 11:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 05 Jun 2010 11:09:07 GMT) Full text and rfc822 format available.

Message #29 received at 574317@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Damyan Ivanov <dmn@debian.org>, 574317@bugs.debian.org
Subject: Re: Bug#574317: Ambiguous timezone in test
Date: Sat, 5 Jun 2010 12:04:24 +0100
clone 574317 -1
reassign -1 libdate-manip-perl
retitle -1 libdate-manip-perl: Behaviour of ambiguous timezones has changed
block 574317 by -1
severity -1 important
forwarded -1 https://rt.cpan.org/Public/Bug/Display.html?id=58159
thanks

On Mon, Apr 19, 2010 at 11:11:11PM +0300, Damyan Ivanov wrote:
> Wouldn't it be better if EST is restored to mean North America? 
> I guess (being neither American nor Australian) that that is more 
> commonly used?
> 
> My concern with the change is that it would change EST interpretation 
> in many places without any warning.

Yes, I think you're probably right. The wikipedia article about Australian
EST would seem to confirm that (the full abbreviation is usually AEST, with
the A being dropped "in domestic contexts"). 

I've cloned the bug onto Date::Manip and forwarded it upstream.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Bug 574317 cloned as bug 584662. Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:libdatetime-format-datemanip-perl' to 'libdate-manip-perl'. Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libdatetime-format-datemanip-perl/0.04-1. Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'libdate-manip-perl: Behaviour of ambiguous timezones has changed' from 'libdatetime-format-datemanip-perl: FTBFS: tests failed' Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:11 GMT) Full text and rfc822 format available.

Added indication that bug 584662 blocks 574317 Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:12 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:13 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=58159' from 'https://rt.cpan.org/Public/Bug/Display.html?id=55771' Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 11:09:14 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 10 Jun 2010 16:36:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Thu, 10 Jun 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 10 Jun 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 584662@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: 584662@bugs.debian.org
Subject: libdate-manip-perl: Behaviour of ambiguous timezones has changed
Date: Thu, 10 Jun 2010 20:11:42 +0100
tags 584662 - fixed-upstream
thanks

On Sat Jun 05 07:27:52 2010, SBECK wrote:
> What you are reporting is not a bug in v6... it's actually a bug in v5
> that is now fixed.
> 
> Date::Manip v5 treated timezone abbreviations (e.g. EST) as timezones,
> so it treated EST the same way as the timezone America/New_York.
> Clearly, this is NOT the correct behavior, and v6 finally corrects that.
> V6 uses the abbreviations to determine a timezone in a way that produces
> a correct date. In other words, in the America/New_York timezone, the
> abbreviation on Jun 5 is EDT, so the date 'Jun 5 EST' is NOT in the
> America/New_York timezone. It is either in some other timezone (if there
> is a timezone that uses the EST abbreviation on Jun 5) or invalid.

Sorry, it seems I neglected to include the date in the original report. 
Actually, the date string that we're trying to parse is "March 23, 2003 
12:00 EST", which seems to be during winter time (EST) according to 
'date':

$ TZ='America/New_York' date --date '2003-03-23 12:00'
Sun Mar 23 12:00:00 EST 2003

> Finally, with respect to your suggestion that Date::Manip have a 
> way to prioritize ambiguous timezones, it does. These are
> documented in the Date::Manip::TZ manual. Look at the
> define_abbrev, define_alias, and define_offset methods.

In which case, I believe that "EST" during winter time should pick 
America over Australia. As per the discussion on the Debian bug report, 
we believe that "EST" is more commonly used to describe the American 
timezone than the Australian, so where it is ambiguous, it should prefer 
the American timezone. This would give Date::Manip the best chance of 
correctly parsing an ambiguous date.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Removed tag(s) fixed-upstream. Request was from Chris Butler <chrisb@debian.org> to control@bugs.debian.org. (Thu, 10 Jun 2010 19:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Sun, 20 Jun 2010 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 20 Jun 2010 15:00:03 GMT) Full text and rfc822 format available.

Message #57 received at 584662@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: 584662@bugs.debian.org
Subject: response from upstream
Date: Sun, 20 Jun 2010 15:56:34 +0100
Upstream has responded to the bug report on CPAN:

    In any case,this is actually kind of a tricky problem since there 
    are now two versions of Date::Manip that are not 100% compatible, 
    and if the DateTime-Format-DateManip module wants their test suite
    to work with either one, they're going to have to add some 
    version-specific handling in a few cases.

    It shouldn't be hard, and I'll be happy to work with them if they
    are interested.

https://rt.cpan.org/Public/Bug/Display.html?id=58159#txn-789299

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Wed, 29 Sep 2010 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 29 Sep 2010 11:09:04 GMT) Full text and rfc822 format available.

Message #62 received at 584662@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 584662@bugs.debian.org
Subject: (no subject)
Date: Wed, 29 Sep 2010 11:56:47 +0100
[Message part 1 (text/plain, inline)]
I cannot find a

libdatetime-format-datemanip-perl in the Debian system. Can tis ticket now be closed?

[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Wed, 29 Sep 2010 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 29 Sep 2010 11:21:04 GMT) Full text and rfc822 format available.

Message #67 received at 584662@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 584662@bugs.debian.org
Subject: Re: Bug#584662: (no subject)
Date: Wed, 29 Sep 2010 13:17:26 +0200
On Wed, 29 Sep 2010 11:56:47 +0100, Nicholas Bamber wrote:

> I cannot find a libdatetime-format-datemanip-perl in the Debian
> system. Can tis ticket now be closed?

584662 belongs to libdate-manip-perl.
574317 belonged to src:libdatetime-format-datemanip-perl and ist
already closed (package removed).

So I guess 584662 is still valid; or did you mean that 584662 is
fixed because the only known consumer isn't present any more?

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    But Captain -- the engines can't take this much longer! 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Wed, 29 Sep 2010 11:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 29 Sep 2010 11:30:06 GMT) Full text and rfc822 format available.

Message #72 received at 584662@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: gregor herrmann <gregoa@debian.org>
Cc: 584662@bugs.debian.org
Subject: Re: Bug#584662: (no subject)
Date: Wed, 29 Sep 2010 12:26:12 +0100
[Message part 1 (text/plain, inline)]
This looks to me much more like a bug in

ibdatetime-format-datemanip-perl than Date::Manip. Certainly the bug report does not isolate it down to an issue in Date::Manip. 


gregor herrmann wrote:
> On Wed, 29 Sep 2010 11:56:47 +0100, Nicholas Bamber wrote:
>
>   
>> I cannot find a libdatetime-format-datemanip-perl in the Debian
>> system. Can tis ticket now be closed?
>>     
>
> 584662 belongs to libdate-manip-perl.
> 574317 belonged to src:libdatetime-format-datemanip-perl and ist
> already closed (package removed).
>
> So I guess 584662 is still valid; or did you mean that 584662 is
> fixed because the only known consumer isn't present any more?
>
> Cheers,
> gregor
>
>   

[nicholas.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Wed, 29 Sep 2010 12:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 29 Sep 2010 12:12:06 GMT) Full text and rfc822 format available.

Message #77 received at 584662@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 584662@bugs.debian.org
Subject: Re: Bug#584662: (no subject)
Date: Wed, 29 Sep 2010 13:10:20 +0100
[quoting fixed]

On Wed, Sep 29, 2010 at 12:26:12PM +0100, Nicholas Bamber wrote:
> gregor herrmann wrote:
> >584662 belongs to libdate-manip-perl.
> >574317 belonged to src:libdatetime-format-datemanip-perl and ist
> >already closed (package removed).
> >
> >So I guess 584662 is still valid; or did you mean that 584662 is
> >fixed because the only known consumer isn't present any more?
> 
> This looks to me much more like a bug in
> 
> ibdatetime-format-datemanip-perl than Date::Manip. Certainly the bug
> report does not isolate it down to an issue in Date::Manip.

I'd be inclined to agree. The changes in Date::Manip's timezone handling
appear to be intentional API changes by upstream. It may be that they break
other packages (they also broke xmltv, one of my packages), but the fix for
this is to update the consumers to cope with the new version of Date::Manip.
I don't think there's really a bug in Date::Manip.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584662; Package libdate-manip-perl. (Wed, 29 Sep 2010 12:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 29 Sep 2010 12:21:06 GMT) Full text and rfc822 format available.

Message #82 received at 584662@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 584662@bugs.debian.org
Subject: (no subject)
Date: Wed, 29 Sep 2010 13:18:36 +0100
[Message part 1 (text/plain, inline)]
I'll tag it as wontfix for now. If there is movement on the memleak 
issue I'll come back and close this.
[nicholas.vcf (text/x-vcard, attachment)]

Added tag(s) wontfix. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 29 Sep 2010 12:33:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:14 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:22:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.